System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details.

Typically, only components that have been added to a container offer extender providers. The allows you to extend this capability to objects that are not in the container.

Provides an interface for adding and removing extender providers at design time.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This interface allows objects besides components to add extender providers to the design time set of extender providers. All properties that are displayed from these extender providers are marked as design time only.

  Adds the specified extender provider.

  The extender provider to add.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This interface allows objects besides components to add extender providers to the design-time set of extender providers. All properties that are displayed from these extender providers are marked as design time only.

  Removes the specified extender provider.

  The extender provider to remove.